## sagenb 1.1.2+ds1

=== doc/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = sagenb
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## sagenb 0.13+ds1

=== debian/changelog ===
sagenb (0.13+ds1-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Provide alternative to non-existing default-jdk-headless

 -- Andreas Tille <tille@debian.org>  Mon, 06 Mar 2017 19:12:22 +0100

sagenb (0.13+ds1-2) unstable; urgency=medium

  * Update plot3d warning message to mention the existence of the tachyon and
    canvas3d options. Update README.Debian to match.

 -- Ximin Luo <infinity0@debian.org>  Sun, 22 Jan 2017 01:17:42 +0100

sagenb (0.13+ds1-1) unstable; urgency=low

  [ Felix Salfelder ]
  * Initial release (0.11.1).

  [ Julien Puydt ]
  * Updated to 0.11.2.

  [ Ximin Luo ]
  * Updated to 0.13 for Sage 7.3.
  * Strip out embedded copies of JS libraries.
  * Initial release. (Closes: #846643)

 -- Ximin Luo <infinity0@debian.org>  Tue, 06 Dec 2016 02:10:08 +0100

=== debian/control ===
Source: sagenb
Section: math
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ximin Luo <infinity0@debian.org>
Build-Depends: debhelper (>= 10),
 dh-python,
 ant,
 default-jdk-headless | default-jdk,
 libjava3d-java,
 python,
 python-setuptools,
 python-flask,
 python-babel,
 python-flask-oldsessions,
 ruby-compass,
 uglifyjs
Standards-Version: 3.9.8
Homepage: https://github.com/sagemath/sagenb
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/sagenb.git/
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/sagenb.git/

Package: python-sagenb
Section: python
Architecture: all
Depends: ${python:Depends}, ${misc:Depends},
 libjs-codemirror,
 libjs-jquery,
 libjs-jquery-colorpicker,
 libjs-jquery-form,
 libjs-jquery-ui,
 libjs-json,
 libjs-mathjax,
 libjs-prettify,
 tinymce
# Not working, see README.Debian
#Recommends: jmol-applet
Description: Standalone Sage Notebook
 The Sage Notebook is a web-based graphical user interface for
 mathematical software.
 .
 Sage is a different approach to mathematics software. It makes it easy for you
 to use most mathematics software together. Sage includes GAP, GP/PARI, Maxima,
 and Singular, and dozens of other open source math packages. It aims to be a
 viable open source alternative to Magma, Maple, Mathematica, and MATLAB.
 .
 With the Sage Notebook anyone can create, collaborate on, and publish
 interactive worksheets. In a worksheet, one can write code using Sage, Python,
 and other software included in Sage. You can write programs that combine
 serious mathematics with anything else.
 .
 Most of the notebook does not depend on having Sage installed. Only
 a few miscellaneous functions are imported from Sage.

## sagenb 1.0.1%2Bds1

=== debian/changelog ===
sagenb (1.0.1+ds1-2) unstable; urgency=medium

  * Use sassc instead of obsolete ruby-compass. (Closes: #875611)
  * Update to latest Standards-Version; no changes required.

 -- Ximin Luo <infinity0@debian.org>  Wed, 27 Sep 2017 21:39:42 +0200

sagenb (1.0.1+ds1-1) unstable; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Sun, 18 Jun 2017 12:35:17 +0200

## sagenb 1.0.1+ds1

=== debian/changelog ===
sagenb (1.0.1+ds1-5) unstable; urgency=medium

  * Team upload.
  * Also change flask.ext.openid -> flask_openid

 -- Tobias Hansen <thansen@debian.org>  Sun, 03 Jun 2018 21:24:41 +0200

sagenb (1.0.1+ds1-4) unstable; urgency=medium

  * Team upload.
  * Fix flask-autoindex import: flask.ext.autoindex -> flask_autoindex

 -- Tobias Hansen <thansen@debian.org>  Sun, 03 Jun 2018 17:42:33 +0200

sagenb (1.0.1+ds1-3) unstable; urgency=medium

  * Update Vcs-* fields to salsa.
  * Explain that one cannot "import sagenb" without sage. (Closes: #896254)

 -- Ximin Luo <infinity0@debian.org>  Thu, 17 May 2018 23:03:16 -0700

=== debian/control ===
--- 
+++ 
@@ -6,19 +6,20 @@
 Build-Depends: debhelper (>= 10),
  dh-python,
  ant,
- default-jdk-headless | default-jdk,
+ default-jdk-headless,
  libjava3d-java,
  python,
  python-setuptools,
  python-flask,
  python-babel,
  python-flask-oldsessions,
- ruby-compass,
+ sassc,
+ sass-stylesheets-compass,
  uglifyjs
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Homepage: https://github.com/sagemath/sagenb
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/sagenb.git/
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/sagenb.git/
+Vcs-Git: https://salsa.debian.org/science-team/sagenb.git
+Vcs-Browser: https://salsa.debian.org/science-team/sagenb
 
 Package: python-sagenb
 Section: python
@@ -32,7 +33,9 @@
  libjs-json,
  libjs-mathjax,
  libjs-prettify,
+ libjs-three,
  tinymce
+Recommends: sagemath
 # Not working, see README.Debian
 #Recommends: jmol-applet
 Description: Standalone Sage Notebook
@@ -51,3 +54,7 @@
  .
  Most of the notebook does not depend on having Sage installed. Only
  a few miscellaneous functions are imported from Sage.
+ .
+ Unfortunately these few imports are still a circular dependency that upstream
+ never got around to fixing, mean that one cannot "import sagenb" unless sage
+ is also installed.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%sagenb-$1.tar.gz%,\
dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1" \
 https://github.com/sagemath/sagenb/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## sagenb 1.1.2+ds1

=== debian/changelog ===
sagenb (1.1.2+ds1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Remove update-flask-0.11.patch (applied upstream).

 -- Tobias Hansen <thansen@debian.org>  Sat, 02 Feb 2019 10:21:42 +0000

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  sassc,
  sass-stylesheets-compass,
  uglifyjs
-Standards-Version: 4.1.0
+Standards-Version: 4.3.0
 Homepage: https://github.com/sagemath/sagenb
 Vcs-Git: https://salsa.debian.org/science-team/sagenb.git
 Vcs-Browser: https://salsa.debian.org/science-team/sagenb
